Name:           steam-udevrules
Version:        1.0.0.68
Release:        %mkrel 1
Summary:        udev rules for Steam hardware: Steam Controller and HTC Vive
Group:          System/Kernel and hardware
License:        MIT
URL:            http://www.steampowered.com
# Extracted from http://repo.steampowered.com/steam/pool/steam/s/steam/steam_%%{version}.tar.gz
Source0:        steam-devices-%{version}.tar.xz
BuildArch:      noarch
Conflicts:      steam < 1.0.0.52-1

%description
This package contains udev rules for Steam hardware: Steam Controller
and HTC Vive.

They are packaged independently of the main steam nonfree package
to be available for the libre steamcontroller driver without having
to install Steam itself.

%prep
%autosetup -n steam-devices

%build

%install
install -d %{buildroot}%{_udevrulesdir}
install -m644 60-steam-input.rules %{buildroot}%{_udevrulesdir}
install -m644 60-steam-vr.rules %{buildroot}%{_udevrulesdir}

%files
%license LICENSE
%{_udevrulesdir}/60-steam-input.rules
%{_udevrulesdir}/60-steam-vr.rules


%changelog
* Thu Dec 17 2020 akien <akien> 1.0.0.68-1.mga8
+ Revision: 1660177
- Version 1.0.0.68

* Thu Nov 26 2020 akien <akien> 1.0.0.67-1.mga8
+ Revision: 1649380
- Version 1.0.0.67

* Tue Nov 03 2020 akien <akien> 1.0.0.66-1.mga8
+ Revision: 1642232
- Version 1.0.0.66

* Sat Jun 27 2020 akien <akien> 1.0.0.64-1.mga8
+ Revision: 1599664
- Version 1.0.0.64

* Sat Feb 15 2020 umeabot <umeabot> 1.0.0.61-2.mga8
+ Revision: 1526036
- Mageia 8 Mass Rebuild

* Sun Apr 21 2019 akien <akien> 1.0.0.61-1.mga7
+ Revision: 1394358
- Sync with version 1.0.0.61
- Custom Mageia rules no longer needed, upstream ones are fixed

* Wed Mar 06 2019 akien <akien> 1.0.0.59-1.mga7
+ Revision: 1371877
- Sync with Steam 1.0.0.59

* Fri Sep 21 2018 umeabot <umeabot> 1.0.0.56-2.mga7
+ Revision: 1291712
- Mageia 7 Mass Rebuild

* Thu Aug 30 2018 akien <akien> 1.0.0.56-1.mga7
+ Revision: 1255730
- Version 1.0.0.56

* Fri Jul 27 2018 akien <akien> 1.0.0.55-1.mga7
+ Revision: 1245517
- Version 1.0.0.55

* Thu Nov 24 2016 akien <akien> 1.0.0.54-1.mga6
+ Revision: 1069721
- Version 1.0.0.54
  o Update controller udev rules to let Steam write to DualShock 4 HID nodes

* Sat Oct 29 2016 akien <akien> 1.0.0.53-1.mga6
+ Revision: 1064007
- Sync with upstream 1.0.0.53
  o Improved HTC Vive udev rules, increased priority
  o Increase SC priority to match HTC Vive

* Mon Jul 25 2016 akien <akien> 1.0.0.52-3.mga6
+ Revision: 1043624
- Move sc udev rule to 72, uaccess stuff is 73 (mga#18627)

* Sun Jun 05 2016 akien <akien> 1.0.0.52-2.mga6
+ Revision: 1020265
- Use working udev rules from Arch, raise load order (mga#18627)

* Sat Apr 30 2016 akien <akien> 1.0.0.52-1.mga6
+ Revision: 1008098
- imported package steam-udevrules

